Check Point Advisories

Rockwell Automation Allen-Bradley L30ERMS Denial Of Service (CVE-2017-9312)

Check Point Reference: CPAI-2018-1032
Date Published: 1 Nov 2018
Severity: High
Last Updated: 25 Nov 2018
Source:
Industry Reference:CVE-2017-9312
Protection Provided by:

Security Gateway
R80, R77, R76, R75

Who is Vulnerable? Allen-Bradley L30ERMS safety devices v30 and earlier
Vulnerability Description A denial of service vulnerability exists in Rockwell Automation Allen-Bradley L30ERMS safety devices. The vulnerability is due to improper handling of specially crafted TCP SYN packets. Successful exploitation can result in a denial of service condition.

Protection Overview

This protection detects attempts to exploit this vulnerability.

In order for the protection to be activated, update your Security Gateway product to the latest IPS update.For information on how to update IPS, go to SBP-2006-05, click on Protection tab and select the version of your choice.

Security Gateway R80 / R77 / R76 / R75

  1. In the IPS tab, click Protections and find the Rockwell Automation Allen-Bradley L30ERMS Denial Of Service (CVE-2017-9312) protection using the Search tool and Edit the protection's settings.
  2. Install policy on all modules.

This protection's log will contain the following information:

Attack Name:  Application Servers Protection Violation.
Attack Information:  Rockwell Automation Allen-Bradley L30ERMS Denial Of Service (CVE-2017-9312)

This website uses cookies to ensure you get the best experience. Got it, Thanks! MORE INFO